Subject: Re: [PATCH v4 net-next 0/4] af_unix: Random improvements for GC.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 2 Jan 2024 15:29:11 -0800

On Tue, 19 Dec 2023 12:00:58 +0900 Kuniyuki Iwashima wrote:
> If more than 16000 inflight AF_UNIX sockets exist on a host, each
> sendmsg() will be forced to wait for unix_gc() even if a process
> is not sending any FD.
> 
> This series tries not to impose such a penalty on sane users who
> do not send AF_UNIX FDs or do not have inflight sockets more than
> SCM_MAX_FD * 8.
> 
> Cleanup patches for commit 69db702c8387 ("io_uring/af_unix: disable
> sending io_uring over sockets") will be posted later as noted in [0].

Could you repost? I tried to revive it in patchwork but I think 
it keeps getting Archived because it's more than 2 weeks old :(